Subject: Re: [PATCH/RFC] powerpc/mm: Cleanup handling of execute permission

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 19 Aug 2009 08:33:20 +1000

On Tue, 2009-08-18 at 16:56 -0400, Josh Boyer wrote:
> On Fri, Aug 14, 2009 at 05:39:42PM -0500, Becky Bruce wrote:
> > Ben,
> >
> > This breaks the boot on 8572.  I don't know why yet (and I'm probably  
> > not going to figure it out before I go home, because, frankly, it's late 
> > on a Friday afternoon and I need a glass of wine or, perhaps, a beer).
> >
> > Kumar and I will poke into this more and let you know what we find out - 
> > in the meantime, if you have any brilliant flashes, pony up!
> 
> I tested this on a 440EPx NFS rootfs boot too.  It doesn't cause init itself
> to crap out with a SIGILL like Becky's board, but it does do weird things
> and cause a SIGILL elsewhere during my boot.
> 
> Reverting this patch from your testing branch allows things to work just fine.

Becky found my thinko, I'll send a new patch later today.

Cheers,
Ben.